# Coupon Code Gen Processes Coupon Code Gen Processes ## Gets all of the coupon code gen processes in the system. - [GET /couponCodeGenProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/listcouponcodegenprocesses.md): This method will scan all coupon code gen processes and and return them to the caller. ## Creates a new coupon code gen process record that does not already exist. - [POST /couponCodeGenProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/createcouponcodegenprocess.md): This method will auto-generate an ID and create a new coupon code gen process. If an ID is specified for the coupon code gen process, an error will be thrown. ## Execute Batch Operations - [POST /couponCodeGenProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a coupon code gen process from the system by its ID. - [DELETE /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/deletecouponcodegenprocess.md): This method will delete a coupon code gen process with the specified ID. ## Returns a coupon code gen process from the system by its ID. - [GET /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/getcouponcodegenprocess.md): This method will look up a coupon code gen process by the specified ID and return it back. ## Partially updates a coupon code gen process with the specified ID. - [PATCH /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/patchcouponcodegenprocess.md): This method will patch an existing coupon code gen process with the specified ID, using the HTTP PATCH specification. ## Updates a coupon code gen process with the specified ID. - [PUT /couponCodeGenProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-code-gen-processes/updatecouponcodegenprocess.md): This method will update an existing coupon code gen process with the specified ID.